package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;import org.hibernate.envers.Audited;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import javax.validation.constraints.NotNull;

import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class PasienDaftar
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "ResultSurvei_T")

@JsonIgnoreProperties({"hibernateLazyInitializer", "handler"})
public class ResultSurvei extends BaseTransaction {

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}


	@ManyToOne
	@JoinColumn(name = "survei")
	@Caption(value="Survei")
	@JsonBackReference
	private Survei survei;
	
	public Survei getSurvei() {
		return survei;
	}

	public void setSurvei(Survei survei) {
		this.survei = survei;
	}


	@Column(name = "pegawai", insertable=false,updatable=false, nullable=true)
	private Integer surveiId;
	
	@ManyToOne
	@JoinColumn(name = "pegawai")
	@Caption(value="Pegawai")
	@JsonBackReference
	private Pegawai pegawai;
	
	@Column(name = "pegawai", insertable=false,updatable=false, nullable=true)
	private Integer pegawaiId;
	
	@Column(name = "tglInput", nullable = false)
	@Caption(value="Tgl Input")
	private Date  tglInput;
	
	@Column(name = "groupNo", nullable = true)
	@Caption(value="groupNo")
	private String  groupNo;

	public String getGroupNo() {
		return groupNo;
	}

	public void setGroupNo(String groupNo) {
		this.groupNo = groupNo;
	}
	
}

